Package com.independentsoft.office.spreadsheet

# Class WebPublishingItem

java.lang.Object
com.independentsoft.office.spreadsheet.WebPublishingItem

public class WebPublishingItem extends Object
The Class WebPublishingItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPublishingItem()`
  Instantiates a new web publishing item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WebPublishingItem`
  `clone()`
  `String`
  `getDestinationFile()`
  Gets the destination file.
  `String`
  `getDivID()`
  Gets the div id.
  `int`
  `getID()`
  Gets the id.
  `String`
  `getSourceID()`
  Gets the source id.
  `String`
  `getSourceObject()`
  Gets the source object.
  `WebSourceType`
  `getSourceType()`
  Gets the source type.
  `String`
  `getTitle()`
  Gets the title.
  `boolean`
  `isAutoRepublish()`
  Checks if is auto republish.
  `void`
  `setAutoRepublish​(boolean autoRepublish)`
  Sets the auto republish.
  `void`
  `setDestinationFile​(String destinationFile)`
  Sets the destination file.
  `void`
  `setDivID​(String divID)`
  Sets the div id.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setSourceID​(String sourceID)`
  Sets the source id.
  `void`
  `setSourceObject​(String sourceObject)`
  Sets the source object.
  `void`
  `setSourceType​(WebSourceType sourceType)`
  Sets the source type.
  `void`
  `setTitle​(String title)`
  Sets the title.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebPublishingItem

    public WebPublishingItem()
    Instantiates a new web publishing item.

- ## Method Details

  - ### clone

    public WebPublishingItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAutoRepublish

    public boolean isAutoRepublish()
    Checks if is auto republish.
    Returns:
      true, if is auto republish

  - ### setAutoRepublish

    public void setAutoRepublish​(boolean autoRepublish)
    Sets the auto republish.
    Parameters:
      `autoRepublish` - the new auto republish

  - ### getDestinationFile

    public String getDestinationFile()
    Gets the destination file.
    Returns:
      the destination file

  - ### setDestinationFile

    public void setDestinationFile​(String destinationFile)
    Sets the destination file.
    Parameters:
      `destinationFile` - the new destination file

  - ### getDivID

    public String getDivID()
    Gets the div id.
    Returns:
      the div id

  - ### setDivID

    public void setDivID​(String divID)
    Sets the div id.
    Parameters:
      `divID` - the new div id

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getSourceObject

    public String getSourceObject()
    Gets the source object.
    Returns:
      the source object

  - ### setSourceObject

    public void setSourceObject​(String sourceObject)
    Sets the source object.
    Parameters:
      `sourceObject` - the new source object

  - ### getSourceID

    public String getSourceID()
    Gets the source id.
    Returns:
      the source id

  - ### setSourceID

    public void setSourceID​(String sourceID)
    Sets the source id.
    Parameters:
      `sourceID` - the new source id

  - ### getSourceType

    public WebSourceType getSourceType()
    Gets the source type.
    Returns:
      the source type

  - ### setSourceType

    public void setSourceType​(WebSourceType sourceType)
    Sets the source type.
    Parameters:
      `sourceType` - the new source type

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title.
    Parameters:
      `title` - the new title